import 'package:freezed_annotation/freezed_annotation.dart';

import '../../state/app/modules/app_modules.dart';

part 'modulesSettings.g.dart';

@JsonSerializable()
class ModulesSettings {
  List<Modules> moduleOrder;
  List<Modules> hiddenModules;

  ModulesSettings({
    required this.moduleOrder,
    required this.hiddenModules
  });

  factory ModulesSettings.fromJson(Map<String, dynamic> json) => _$ModulesSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$ModulesSettingsToJson(this);
}
