import 'package:flutter/material.dart';

import '../../../widget/dropdownDisplay.dart';

enum TimetableNameMode {
  name,
  longName,
  alternateName
}

class TimetableNameModes {
  static DropdownDisplay getDisplayOptions(TimetableNameMode theme) {
    switch(theme) {
      case TimetableNameMode.name:
        return DropdownDisplay(icon: Icons.device_unknown_outlined, displayName: 'Name');

      case TimetableNameMode.longName:
        return DropdownDisplay(icon: Icons.perm_device_info_outlined, displayName: 'Langname');

      case TimetableNameMode.alternateName:
        return DropdownDisplay(icon: Icons.on_device_training_outlined, displayName: 'Kurzform');
    }
  }
}

