import 'package:json_annotation/json_annotation.dart';

import '../../view/pages/timetable/timetableNameMode.dart';

part 'timetableSettings.g.dart';

@JsonSerializable()
class TimetableSettings {
  bool connectDoubleLessons;
  TimetableNameMode timetableNameMode;

  TimetableSettings({
    required this.connectDoubleLessons,
    required this.timetableNameMode
  });

  factory TimetableSettings.fromJson(Map<String, dynamic> json) => _$TimetableSettingsFromJson(json);
  Map<String, dynamic> toJson() => _$TimetableSettingsToJson(this);
}
